#######################################
# Hunter Hinson
# Original Script: June 11, 2020
# DM2 Walkthrough
# Last Modified: June 11, 2020
#######################################

#clear Environment
rm(list=ls())
#Rm stands for remove, remove lists for all lists

#Set my working directory
setwd("/Volumes/GoogleDrive/My Drive/SPEC Summer 2020/Training Data Science/0 Training Data")
getwd()

#load in libraries
library(ggplot2)
library(MASS)
library(Hmisc)
library(tidyverse)
install.packages("Hmisc")
library(Hmisc)

#load in the WDI data
load("wdi_with_milex.RData")
#Once you load a data set, find its name in the top right 'environment' box
str(wdi)
summary(wdi$year)
#See the variables in the WDI data set
names(wdi)
#milex is military expenditures

#load in the COW data (I think cost of war, or military expenditures)
cow<- read.csv("cow_cleaned.csv")
summary(cow$year)
names(cow)

#Only have so much we can do in an hour, so do all the things we don't do on your own
#Especially all the rbind & cbind commands

####
#ccode = country codes
#This is wrong because we are joining these data sets just by ccode
wrong <- full_join(wdi, cow, by = "ccode")
str(wrong)
#Half a million observations, we did something wrong in merging

##
#First, we're gonna do some variable renaming
#Since we have milex in both WDI and COW, we need to rename the two to differentiate

wdi <- wdi %>% 
  select(ccode:year, 
         milex_gdp = milex_gdp_wdi,
         gdp_wdi = gdp,
         everything()) 

cow <- cow %>%
  select(milex_cow = milex,
         everything())

newdata <- full_join(wdi, cow, by = c("ccode", "year"))
view(newdata)

###Graham says all these aren't really working, oh my... getting confusing

newdata <- full_join(wdi, cow, by = c("ccode", "year")) %>%
  arrange(ccode, year)
view(newdata)
#none of this seems right, MAKE SURE TO REVIEW THIS ON YOUR OWN

###
#While merging data sets you will almost always use the full_join command
#However sometimes you'll use left_join or right_join
#left_join will keep all the observations in your left dataset, and none in your right
#right_join will keep all the observations in your right dataset, and none in your left

leftdata <- left_join(wdi, cow, by = c("ccode", "year")) %>%
  arrange(ccode, year)
#Will keep everything in wdi but not cow

rightdata <- right_join(wdi, cow, by = c("ccode", "year")) %>%
  arrange(ccode, year)


###Pivoting!? What...
#Pivot Longer
longData <- pivot_longer(leftdata,
                         cols = milex_cow:milex.y,
                         names_to="data_origin",
                         values_to="milex")
#Now columns aren't working because it didn't work above, oh my this is bad
#Hunter please figure this out on your own

wideData <- pivot_wider(longData,
                        names_from=data_origin,
                        values_from=milex) %>%
              arrange(ccode, year)

#Walkthrough uses gather() and spread() commands instead of pivot_longer and pivot_wider