#############################################
# Created By: Zack Johnson, June 8, 2020
# Most recently editied on: June 8, 2020

# Task: Homework for DM II
#############################################

# Clear lists
rm(list = ls())

rawdata <- "~/Google Drive File Stream/My Drive/Master IPE Data/SUMMER 2020/rawdata"
preppeddata <- "~/Google Drive File Stream/My Drive/Master IPE Data/SUMMER 2020/prepped"
prepscripts <- "~/Google Drive File Stream/My Drive/Master IPE Data/SUMMER 2020/scripts"

# Import packages
library(ggplot2)
library(foreign)
library(dplyr)
library(tidyverse)
library(magrittr)
library(readxl)
library(Hmisc)
library(purrr)
# Read in raw data
wb_ed <- read_csv("~/Downloads/Data_Extract_From_Education_Statistics_-_All_Indicators/7cb19083-a9d8-422e-af87-a5709310678d_Data.csv")
rpc = read_excel("~/Downloads/RPC2015.xlsx")

# Check for what years rpc has
unique(rpc$year) # Has 1960-2013



# Pivot wb_ed longer and make sure the years are in the correct format
wb_ed<- pivot_longer(data = wb_ed, cols = c(starts_with("1"), starts_with("2")), names_to = "year", values_to = "count") %>%
  mutate(year = substr(year, 1, 4))

# Change some names, make vars that should be numeric numeric, only select the vars we need, then pivot wider so that the names from
# Series are now columns and the values are the count
wb_ed <- wb_ed %>% 
  mutate(Country = `Country Name`)%>%
  mutate(year = as.numeric(year), count = as.numeric(count), `Series Code`)%>%
  select(Country, `Country Code`, Series, year, count) %>%
  pivot_wider(names_from = Series, values_from = count) %>%
  select(Country, 
         year, 
         perfemsec1519 = "Barro-Lee: Percentage of female population age 15-19 with secondary schooling. Completed Secondary", 
         perpopsec1519 = "Barro-Lee: Percentage of population age 15-19 with secondary schooling. Completed Secondary") %>%
  mutate(perfemsec1519 = as.vector(perfemsec1519),
         perpopsec1519 = as.vector(perpopsec1519))

str(wb_ed)

wb_ed %>%
  mutate(year = as.numeric(year), count = as.numeric(count))

# Is the years column numeric? Yes
str(rpc)
str(wb_ed)

# Make years numeric
wb_ed %>%
  mutate(year = as.numeric(year), count = as.numeric(count))

# Make a cross-tabulation of country and year for rpc and wb_ed2 to ensure that there no year occurs more than once
rpc_occur <- data.frame(table(rpc$country, rpc$year))
print(rpc_occur)
unique(rpc_occur$Freq)

wb_ed_occur <- data.frame(table(wb_ed$`Country Name`, wb_ed$year))
str(wb_ed_occur)
unique(wb_ed_occur$Freq)

# Check out the names
names(rpc)
names(wb_ed)