##################################
# Script by: Ari Kelo
# Project: Data Science Training
# Original Script: July 6, 2020
# Purpose: Walkthrough for Regressions 2 training
# Last modified: July 20, 2020
#################################

rm(list = ls())

library(tidyverse)
library(foreign)
library(countrycode)


setwd("G:/.shortcut-targets-by-id/1TXk1G5ASoQ-vD7rs4E5dMtNk1W-d1k6m/SPEC Summer 2020/Training Data Science/0 Training Data")

nuke_data <- read.csv("nuclear_data.csv")
nuke_codebook <- read.csv("nuclear_codebook.csv")
names(nuke_data) <- nuke_codebook$name
names(nuke_data)

nuke_data <- nuke_data %>%
  mutate(concern_rev = as.numeric(mapvalues(nuke_data$concern, from = c("5. Very low", "4. Low", "3. Medium", "2. High", "1. Very high"), to = c(1:5))))

#ggplot to show us the general outline of the data
ggplot(data = nuke_data, aes(concern_rev, color = agegroup)) +
  geom_bar(alpha = 0.3)

ggplot(data = nuke_data, aes(concern_rev, color = age)) +
  geom_bar() +
  geom_smooth()

fit <- lm(data = nuke_data, concern_rev ~ as.numeric(age))
summary(fit)

plot(concern_rev ~ as.numeric(age), data = nuke_data)
abline(fit)

ggplot(data = nuke_data, aes(concern_rev ~ as.numeric(age)))

