##################################
# Script by: Ari Kelo
# Project: Data Science Training
# Original Script: June 11, 2020
# Purpose: Group work for Data Management 2 training
# Last modified: June 11, 2020
#################################

rm(list = ls())

library(tidyr)
library(foreign)
library(dplyr)
library(magrittr)
library(tidyverse)

install.packages("readxl")
library(readxl)

setwd("G:/.shortcut-targets-by-id/1TXk1G5ASoQ-vD7rs4E5dMtNk1W-d1k6m/SPEC Summer 2020/Training Data Science/0 Training Data")

finlandOGdata <- read_xlsx("FINLAND_JC_fortraining.xlsx")
latviaOGdata <- read_xlsx("LATVIA_NJ_fortraining.xlsx")

#Exercise 1

fin2 <- finlandOGdata %>%
pivot_longer("2010":"2019") %>%
  select(year = name, everything()) %>%
  pivot_wider(names_from = COUNTRY, values_from = value, id_col = year)

lat2 <- latviaOGdata %>%
  pivot_longer("2010":"2019") %>%
  select(year = name, everything()) %>%
  pivot_wider(names_from = COUNTRY, values_from = value, id_col = year)

#Exercise 2

lat2$year <- as.numeric(lat2$year)
fin2$year <- as.numeric(fin2$year)

#Exercise 3

mergedata <- full_join(lat2, fin2)
str(mergedata)

#Exercise 4

mergedwithnames <- mergedata %>%
  military_vote <- milvote, %>%
  federal_units <- fedunits, %>%
  military_party <- milvote, %>%
  party_ethnicity <- partynoethnic, %>%
  sub_education <- subed, %>%
  everything()


df1 = data.frame(Country = c("USA", "China", "Zimbabwe", "Seychelles", "UK", "Russia"), PopulationInMillions = c(328.2, 1439.32, 14.86, 0.098, 66.65, 144.5))

df1 %>%
  arrange(PopulationInMillions)
print(df1)
  

                       