################
# Zoe Peach-Riley
# Original file: June 8th, 2020
# Last modified: June 11th, 2020
# Purpose: Data Management II Walkthrough
################

# clear memory
rm(list=ls())

# import packages
library(foreign)
library(dplyr)
install.packages("tidyr")
library(tidyverse)
library(magrittr)

# Set working directory
setwd("~/Google Drive File Stream/My Drive/SPEC Summer 2020/Training Data Science/0 Training Data")

# Load WDI data
load("wdi_with_milex.RData")
str(wdi)
summary(wdi$year)
names(wdi)

# Load in COW data
read.csv("cow_cleaned.csv")
str(cow)
summary(cow$year)
names(cow)

# Creates a new variable, 'milex' that codes military expenditures in USD
wdi <- wdi %>%
  mutate(milex = milex_gdp * gdp) # Product of milex_gdp and gdp



