########################
# Zoe Peach-Riley
# Original file: June 18, 2020
# Last modified: June 18, 2020
# Purpose: Data Visualization I Walkthrough
########################

# Clear global environment
rm(list=ls())

# Load necessary packages
library(dplyr)
library(tidyverse)
library(foreign)
library(ggplot2) # Data visulaization package

setwd("/Volumes/GoogleDrive/.shortcut-targets-by-id/1TXk1G5ASoQ-vD7rs4E5dMtNk1W-d1k6m/SPEC Summer 2020/Training Data Science/0 Training Data"
      
# ggplot structure:
  # ggplot(data = , aes(x = , y = , color = , linetype = )) +
    # geom() +
    # other graphical parameters

# Load the data
data <- read.csv("wdi_cleaned_part1.csv",
                 stringsAsFactors = F)

# Look at the data characteristics
str(data)

# Summarize electricity data
summary(data$electricity_pop)

# Histogram
# Shows low access to electricty for everyone, or full access for everyone. Count shows that most countries have full access for everyone
ggplot(data, aes(x = electricity_pop)) +
  geom_histogram()

# Adjusting the number of bins
ggplot(data, aes(x = electricity_pop)) +
  geom_histogram(bins = 5)

ggplot(data, aes(x = electricity_pop)) +
  geom_histogram(bins = 100)

# Density plot
# Area under curve shows probability that 
ggplot(data, aes(x = electricity_pop))+
  geom_density()

# Density plot using geom_line
elec_hist <- ggplot(data, aes(x = electricity_pop))+
  geom_line(stat = "density", color = "cornflowerblue", fill = "deeppink1")
