##############################################
# Created by: Sara Lowe, 15 June 2020
# Most recently edited on: 18 June 2020

# Task: Write an R script that works through 
# the Data Management II group work. 
##############################################

rm(list=ls())

# set working directory 
setwd("~/Google Drive File Stream/My Drive/SPEC Summer 2020 (1)/Training Data Science/0 Training Data")
getwd()

# load packages 
install.packages("readxl")
install.packages("read_excel")
library(readxl)
library(tidyr)
library(dplyr)
sessionInfo()

# load data 
latvia<- read_excel("LATVIA_NJ_fortraining.xlsx")
finland<- read_excel("FINLAND_JC_fortraining.xlsx")

# exercise 1 
# check class of code 2010
class(latvia$`2010`)
class(finland$`2010`)

# pivot data so year becomes a single column and variables are on top 
finland<- finland %>%
  select(-Notes,-Source)%>%
  pivot_longer(cols= '2010':'2019',names_to="year", values_to="values")%>%
  pivot_wider(names_from=COUNTRY,values_from=values)

# pivot Latvia data so year becomes a single column and variables are on top 
latvia<- latvia%>%
  select(-Notes,-Source)%>%
  pivot_longer(cols='2010':'2019',names_to="year",values_to="values")%>%
  pivot_wider(names_from=COUNTRY,values_from=values)
# note: not really understanding the pivot wider command, names from and values from 

# exercise 2: use as.numeric to make sure the values that should be numeric (like years) are numeric

# figure out the class of the years 
class(finland$year)
class(latvia$year)

# convert year from character to numeric variable 
finland<- finland%>%
  mutate(year=as.numeric(finland$year))
latvia<- latvia%>%
  mutate(year=as.numeric(latvia$year))

# load dplyr so we can use mutate lol 
library(dplyr)

# but now let's try the same thing in base r 
# never mind 

# remember to look up character v numeric

# exercise 3: merge these two spreadsheets together 
# first create vectors of countries (?) 
fin_names<- rep("finland",10)
lat_names<- rep("latvia",10)

# add column with country names
finland<- finland%>%
  mutate(country=fin_names)%>%
  select(country,year,everything())
latvia<- latvia%>%
  mutate(country=lat_names)%>%
  select(country,year,everything())

#merge the data. what join command would we want to use? 
  # we definitely don't want cbind, we want finland and all its info on top and latvia on bottom (or vice versa) 
newdata<- full_join(finland,latvia, by)
names(latvia)
names(finland)
newdata<- bind_rows(finland,latvia)

# exercise 4: identify a subset of 4 variables to rename, remember to keep everything() else the same! we don't want to subset the data.
View(newdata)
#renaming 6 variables 
# gcimp, relconstp, mfound, resseatsimp, gcman, jrevman 
newdata<- newdata %>%
  rename(parties_rep = gcimp,
         rel_const_protect = relconstp,
         mil_const_protect = mfound,
         res_actual = resseatsimp,
         parties_rep_mandate = gcman,
         judicial_review = jrevman)
getwd()
# exercise 5: save your merged dataset as a .RData file in the 0 training data folder 
save(newdata, file = "/training output/Powersharing_Merged.RData")

# we're all done!
